Challenge.Rand (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class Challenge.Rand

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.Challenge.Rand

- All Implemented Interfaces:
    ASN1Encodable, Encodable
  Enclosing class:
    Challenge

      public static class Challenge.Rand
      extends ASN1Object

  Rand is the inner type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rand(ASN1Integer integer, GeneralName sender)`
    `Rand(byte[] integer, GeneralName sender)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Challenge.Rand` | `getInstance(java.lang.Object o)`
    `ASN1Integer` | `getInt()`
    `GeneralName` | `getSender()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Rand

          public Rand(byte[] integer,
                      GeneralName sender)

    - #### Rand

          public Rand(ASN1Integer integer,
                      GeneralName sender)

  - ### Method Detail

    - #### getInstance

          public static Challenge.Rand getInstance(java.lang.Object o)

    - #### getInt

          public ASN1Integer getInt()

    - #### getSender

          public GeneralName getSender()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.